### A free/open-source library for quantitative finance

Public Member Functions
SpreadCdsHelper Class Reference

Spread-quoted CDS hazard rate bootstrap helper. More...

`#include <ql/termstructures/credit/defaultprobabilityhelpers.hpp>`

Inheritance diagram for SpreadCdsHelper:
[legend]

List of all members.

## Public Member Functions

| SpreadCdsHelper (const Handle< Quote > &runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
| SpreadCdsHelper (Rate runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
Real | impliedQuote () const

## Detailed Description

Spread-quoted CDS hazard rate bootstrap helper.

Examples:
  CDS.cpp.